Package jebl.evolution.alignments

# Class JackknifedAlignment

java.lang.Object
jebl.evolution.alignments.ResampledAlignment
jebl.evolution.alignments.JackknifedAlignment

All Implemented Interfaces:
  `Alignment`, `Patterns`, `Sequences`

public class JackknifedAlignment extends ResampledAlignment
Date: 17/01/2006 Time: 08:18:32

Version:
  $Id: JackknifedAlignment.java 940 2008-08-26 00:32:47Z stevensh $
Author:
  Joseph Heled

## Constructor Summary

Constructors
Constructor
Description
`JackknifedAlignment(Alignment srcAlignment, double percent)`
`JackknifedAlignment(Alignment srcAlignment, double percent, long seed)`
`JackknifedAlignment(Alignment srcAlignment, double percent, Random r)`

## Method Summary

### Methods inherited from class jebl.evolution.alignments.ResampledAlignment

`getPatternCount, getPatternLength, getPatterns, getSequence, getSequenceList, getSequences, getSequenceType, getSiteCount, getTaxa, init`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JackknifedAlignment

public JackknifedAlignment(Alignment srcAlignment, double percent)

### JackknifedAlignment

public JackknifedAlignment(Alignment srcAlignment, double percent, long seed)

### JackknifedAlignment

public JackknifedAlignment(Alignment srcAlignment, double percent, Random r)